[med-svn] [Git][med-team/phybin][master] 2 commits: Add autopkgtests (Closes: #970301)

Nilesh Patra gitlab at salsa.debian.org
Mon Jan 25 14:35:23 GMT 2021



Nilesh Patra pushed to branch master at Debian Med / phybin


Commits:
2e34bdfd by Nilesh Patra at 2021-01-25T19:59:51+05:30
Add autopkgtests (Closes: #970301)

- - - - -
bcdf4b55 by Nilesh Patra at 2021-01-25T20:02:00+05:30
Update changelog

- - - - -


3 changed files:

- debian/changelog
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+phybin (0.3-5) unstable; urgency=medium
+
+  * Team Upload.
+  * Add autopkgtests (Closes: #970301)
+
+ -- Nilesh Patra <npatra974 at gmail.com>  Mon, 25 Jan 2021 20:00:10 +0530
+
 phybin (0.3-4) unstable; urgency=medium
 
   * Standards-Version: 4.5.1 (routine-update)


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,32 @@
+#!/bin/bash
+set -e
+
+CUR_DIR=`pwd`
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a ${CUR_DIR}/"tests"/* $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+gunzip -r *
+
+echo "Test 1 - Testing phybin on 112.tr"
+cd t1
+phybin 112.tr --print
+cd ..
+echo "================================="
+echo "PASS"
+
+echo "Test 2 - Testing phybin on t30_mismatched"
+phybin t30_mismatched --bin
+rm -f phybin_out/WARNINGS.txt
+for f in phybin_out/*
+do
+	[ -s $f ] || exit 1
+done
+rm -rf phybin_out
+echo "=================================="
+echo "PASS"



View it on GitLab: https://salsa.debian.org/med-team/phybin/-/compare/9080aca1021fc3a4e9d31169e1927db771454871...bcdf4b55e5a0c52e164cb2ba16d12c680dbc420e

-- 
View it on GitLab: https://salsa.debian.org/med-team/phybin/-/compare/9080aca1021fc3a4e9d31169e1927db771454871...bcdf4b55e5a0c52e164cb2ba16d12c680dbc420e
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210125/caa6c2fe/attachment-0001.html>


More information about the debian-med-commit mailing list